Index: dist/crypto/evp/e_camellia.c
===================================================================
RCS file: /cvsroot/src/crypto/external/bsd/openssl/dist/crypto/evp/e_camellia.c,v
retrieving revision 1.1.1.9
diff -p -u -r1.1.1.9 e_camellia.c
--- dist/crypto/evp/e_camellia.c	7 May 2023 18:29:19 -0000	1.1.1.9
+++ dist/crypto/evp/e_camellia.c	16 Jun 2024 20:55:50 -0000
@@ -43,9 +43,7 @@ typedef struct {
 /* Attribute operation for Camellia */
 #define data(ctx)       EVP_C_DATA(EVP_CAMELLIA_KEY,ctx)
 
-#if defined(AES_ASM) && (defined(__sparc) || defined(__sparc__))
-/* ---------^^^ this is not a typo, just a way to detect that
- * assembler support was in general requested... */
+#if defined(CMLL_ASM) && (defined(__sparc) || defined(__sparc__))
 # include "crypto/sparc_arch.h"
 
 static int cmll_t4_init_key(EVP_CIPHER_CTX *ctx, const unsigned char *key,
Index: lib/libcrypto/evp.inc
===================================================================
RCS file: /cvsroot/src/crypto/external/bsd/openssl/lib/libcrypto/evp.inc,v
retrieving revision 1.11
diff -p -u -r1.11 evp.inc
--- lib/libcrypto/evp.inc	6 May 2023 17:07:23 -0000	1.11
+++ lib/libcrypto/evp.inc	16 Jun 2024 20:55:51 -0000
@@ -87,5 +87,5 @@ signature.c \
 SRCS += ${EVP_SRCS}
 
 .for cryptosrc in ${EVP_SRCS}
-CPPFLAGS.${cryptosrc} += -I${OPENSSLSRC}/crypto/evp ${EVPCPPFLAGS}
+CPPFLAGS.${cryptosrc} += -I${OPENSSLSRC}/crypto/evp ${EVPCPPFLAGS} ${AESCPPFLAGS}
 .endfor
Index: lib/libcrypto/arch/sparc64/des.inc
===================================================================
RCS file: /cvsroot/src/crypto/external/bsd/openssl/lib/libcrypto/arch/sparc64/des.inc,v
retrieving revision 1.2
diff -p -u -r1.2 des.inc
--- lib/libcrypto/arch/sparc64/des.inc	2 Mar 2014 08:58:02 -0000	1.2
+++ lib/libcrypto/arch/sparc64/des.inc	16 Jun 2024 20:55:51 -0000
@@ -1,7 +1,7 @@
 #	$NetBSD: des.inc,v 1.2 2014/03/02 08:58:02 nakayama Exp $
 
 .PATH.S: ${.PARSEDIR}
-DES_SRCS = des_enc-sparc.S fcrypt_b.c
-CPPFLAGS+=	-DDES_RISC2 -DDES_PTR
+DES_SRCS = des_enc-sparc.S fcrypt_b.c dest4-sparcv9.S
+CPPFLAGS+=	-DDES_RISC2 -DDES_PTR -DDES_ASM
 
 .include "${.CURDIR}/des.inc"
Index: lib/libcrypto/arch/x86_64/sha.inc
===================================================================
RCS file: /cvsroot/src/crypto/external/bsd/openssl/lib/libcrypto/arch/x86_64/sha.inc,v
retrieving revision 1.4
diff -p -u -r1.4 sha.inc
--- lib/libcrypto/arch/x86_64/sha.inc	25 May 2023 15:52:29 -0000	1.4
+++ lib/libcrypto/arch/x86_64/sha.inc	16 Jun 2024 20:55:51 -0000
@@ -2,7 +2,7 @@
 SHA_SRCS = sha1-x86_64.S sha1-mb-x86_64.S keccak1600-x86_64.S
 SHACPPFLAGS = -DSHA1_ASM -DKECCAK1600_ASM
 KECCAKNI = yes
-.if 0
+.if 1
 SHA_SRCS += sha512-x86_64.S sha256-mb-x86_64.S
 SHACPPFLAGS+= -DSHA256_ASM -DSHA512_ASM
 .endif
Index: lib/libdefault/providers_implementations_ciphers.inc
===================================================================
RCS file: /cvsroot/src/crypto/external/bsd/openssl/lib/libdefault/providers_implementations_ciphers.inc,v
retrieving revision 1.1
diff -p -u -r1.1 providers_implementations_ciphers.inc
--- lib/libdefault/providers_implementations_ciphers.inc	6 May 2023 17:07:23 -0000	1.1
+++ lib/libdefault/providers_implementations_ciphers.inc	16 Jun 2024 20:55:51 -0000
@@ -47,5 +47,5 @@ cipher_tdes_wrap_hw.c \
 SRCS += ${PROVIDERS_IMPLEMENTATIONS_CIPHERS_SRCS}
 
 .for defaultsrc in ${PROVIDERS_IMPLEMENTATIONS_CIPHERS_SRCS}
-CPPFLAGS.${defaultsrc} += -I${OPENSSLSRC}/providers/implementations/ciphers ${PROVIDERS_IMPLEMENTATIONS_CIPHERSCPPFLAGS}
+CPPFLAGS.${defaultsrc} += -I${OPENSSLSRC}/providers/implementations/ciphers ${PROVIDERS_IMPLEMENTATIONS_CIPHERSCPPFLAGS} ${AESCPPFLAGS}
 .endfor
